<?php

require("fpdf17/fpdf.php");  // downloaded from http://www.fpdf.org/

class MyPDF extends FPDF
{
	// change the empty footer method
	function footer(){
		global $PageHeight;
		$this->setY(-15);  // 1.5 cm from the bottom of the page
		$PageHeight = $this->getY()+15;  
		
		$this->setFont("Arial","I", 8);
		$this->Cell(0,10,  $this->PageNo() . " of " . '{nb}',0,0,'R');	
	}	
}


$pdf = new MyPDF();   //  !!NOTE now instantiating an object of the extended class!!
$pdf->AliasNbPages();  // this is related to the {nb} above

//add the first page
$pdf->addPage();
$pdf->SetMargins(12,25.4,12,25.4);


//main title
$pdf->setFont("Arial", "B", 16); 
$pdf->cell(0,20,"State Capital Data");
$pdf->ln();

require "Credentials.php";  //The credentials file contains the variables $hostname, $database, $username, $password
try{
	$conn = new PDO("mysql:host=$hostname;dbname=$database", $username, $password);
	$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch(PDOException $e){
	//echo $e->getMessage();
	die();
}



$fields = array("StateName","StateAbbr","StateDate","Capital","CapitalDate");
$col_width = array(40,20,30,40,30);
$i=0;

$pdf->setFont("Arial", "", 10); 
foreach($fields as $aField){
		$pdf->cell($col_width[$i],10,$aField,1,0);
		$i++;
}
$pdf->ln();



$statement = $conn->prepare("SELECT " . implode(", ",$fields) . " FROM tbstatecapital");
$statement->execute();

while ($row = $statement->fetch(PDO::FETCH_ASSOC)){	
	$i=0;
	foreach ($row as $key => $value){
		$pdf->cell($col_width[$i],10,$value,1,0);
		$i++;
	}
	$pdf->ln();
		
	// HERE IS THE NEW PART !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	//if near the bottom of the page -- start new page and make row of headers in table
	if($pdf->getY() > 260){
		$pdf->AddPage();

		//print_r($describe->fetch(PDO::FETCH_ASSOC));
		$j=0;

		foreach($fields as $aField){
			$pdf->cell($col_width[$j],10,$aField,1,0);
			$j++;
		}
		$pdf->ln();
	}
	
}

$pdf->output();
?>
